Skip to main content
GET
/
registry
/
agents
/
search
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/registry/agents/search \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "did": "<string>",
      "agentId": "<string>",
      "orgId": "<string>",
      "public": true,
      "name": "<string>",
      "description": "<string>",
      "agentCard": {},
      "trustScore": 123,
      "kyaLevel": "<string>",
      "capabilities": [
        "<string>"
      ],
      "tags": [
        "<string>"
      ],
      "verified": true,
      "verifiedAt": "2023-11-07T05:31:56Z",
      "listedAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>",
  "total": 123
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Query Parameters

query
string

Free-text search across name and description

Maximum string length: 200
capability
string

Filter by a specific capability

trustMin
integer

Minimum trust score threshold

Required range: 0 <= x <= 100
kyaLevel
string

Filter by KYA verification level

tags
string[]

Filter by tags (entries must match at least one)

cursor
string

Cursor for pagination

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
limit
integer
default:20

Maximum items per page

Required range: 1 <= x <= 100

Response

200 - application/json

OK

Paginated search results from the agent registry

items
object[]
required

Array of matching registry entries

nextCursor
string | null
required

Cursor for fetching the next page

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
total
integer
required

Total number of entries matching the query